<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: ContextMgr Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>ContextMgr Class Reference</h1><!-- doxytag: class="ContextMgr" --><!-- doxytag: inherits="Manager&lt; PangoContext * &gt;" -->Manage PangoContext*.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="contextMgr_8h-source.html">contextMgr.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for ContextMgr:</div>
<div class="dynsection">

<p><center><img src="classContextMgr.png" usemap="#ContextMgr_map" border="0" alt=""></center>
<map name="ContextMgr_map">
<area href="classManager.html" alt="Manager< PangoContext * >" shape="rect" coords="0,0,177,24">
</map>
</div>

<p>
<a href="classContextMgr-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classContextMgr.html#b9eed08c5fe4759605ceac0b397cfcb8">ContextMgr</a> (const char *const lang=&quot;en_US.UTF-8&quot;, const int dpiX=72, const int dpiY=72)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classContextMgr.html#c00394a1c2787ab45ae9ba4c3648ff3c">~ContextMgr</a> ()</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Manage PangoContext*. <hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="b9eed08c5fe4759605ceac0b397cfcb8"></a><!-- doxytag: member="ContextMgr::ContextMgr" ref="b9eed08c5fe4759605ceac0b397cfcb8" args="(const char *const lang=&quot;en_US.UTF-8&quot;, const int dpiX=72, const int dpiY=72)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ContextMgr::ContextMgr           </td>
          <td>(</td>
          <td class="paramtype">const char *const &nbsp;</td>
          <td class="paramname"> <em>lang</em> = <code>&quot;en_US.UTF-8&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>dpiX</em> = <code>72</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>dpiY</em> = <code>72</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c00394a1c2787ab45ae9ba4c3648ff3c"></a><!-- doxytag: member="ContextMgr::~ContextMgr" ref="c00394a1c2787ab45ae9ba4c3648ff3c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ContextMgr::~ContextMgr           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="contextMgr_8h-source.html">contextMgr.h</a></ul>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
